import request from '@/utils/request';

// 综合绩效-填报记录列表
export function performanceList(query) {
  return request({
    url: '/teacher/performance/list',
    method: 'get',
    data: query
  })
}

// 综合绩效-填报记录新增
export function performanceAdd(data) {
  return request({
    url: '/teacher/performance/add',
    method: 'post',
    data: data
  })
}

// 综合绩效-填报记录修改
export function performanceUpdate(data) {
  return request({
    url: '/teacher/performance/update',
    method: 'post',
    data: data
  })
}


// 新增第二课堂及格人数
export function passAdd(data) {
  return request({
    url: '/teacher/pass/add',
    method: 'post',
    data: data
  })
}

// 修改第二课堂及格人数
export function passUpdate(data) {
  return request({
    url: '/teacher/pass/update',
    method: 'post',
    data: data
  })
}

// 根据填报人和年份获取综合测试-第二课堂及格人数详细信息
export function getInfoByFdNameAndYears(query) {
  return request({
    url: '/teacher/pass/getInfoByFdNameAndYears',
    method: 'get',
    data: query
  })
}